# bio-conduit
#
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#

module Bio
    module Conduit
        QUEUES = {
            "torque" => {
                command: 'qsub <options> -',
                template: Bio::Conduit::Template::TORQUE
            },
            "sge" => {
                command: 'qsub <options> -',
                template: Bio::Conduit::Template::SGE
            },
            "bash" => {
                command: 'bash <options>',
                template: Bio::Conduit::Template::SGE
            }
        }
    end
end
