# bio-conduit
#
# Copyright (C) 2015
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong (RDoc'd and embellished by William Webber)
#
module Bio
    module Conduit
        module Template
            TORQUE = %q{#PBS -N <%= @jobname %>
<% @resourceline = [] -%>
<% @resourceline.push("nodes=#{@info.has_key?('nodes') ? @info['nodes'] : 1}#{@info.has_key?('cpu') ? ":ppn=#{@info['cpu']}" : ""}") if @info.has_key?('cpu') || @info.has_key?('nodes') -%>
<% @resourceline.push("mem=#{@info['mem']}") if @info.has_key?('mem') -%>
<%= "#PBS -l #{@resourceline.join(',')}" if !@resourceline.empty? %>

<%= @commands -%>}
        end
    end
end
